# ldblib.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "lua.h"`
`#include "lauxlib.h"`
`#include "lualib.h"`

## Defines
#define | ldblib_c
#define | LUA_LIB
#define | LEVELS1 12
#define | LEVELS2 10
## Functions
static int | db_getregistry (lua_State *L)
static int | db_getmetatable (lua_State *L)
static int | db_setmetatable (lua_State *L)
static int | db_getfenv (lua_State *L)
static int | db_setfenv (lua_State *L)
static void | settabss (lua_State *L, const char *i, const char *v)
static void | settabsi (lua_State *L, const char *i, int v)
static lua_State * | getthread (lua_State *L, int *arg)
static void | treatstackoption (lua_State *L, lua_State *L1, const char *fname)
static int | db_getinfo (lua_State *L)
static int | db_getlocal (lua_State *L)
static int | db_setlocal (lua_State *L)
static int | auxupvalue (lua_State *L, int get)
static int | db_getupvalue (lua_State *L)
static int | db_setupvalue (lua_State *L)
static void | hookf (lua_State *L, lua_Debug *ar)
static int | makemask (const char *smask, int count)
static char * | unmakemask (int mask, char *smask)
static void | gethooktable (lua_State *L)
static int | db_sethook (lua_State *L)
static int | db_gethook (lua_State *L)
static int | db_debug (lua_State *L)
static int | db_errorfb (lua_State *L)
LUALIB_API int | luaopen_debug (lua_State *L)
## Variables
static const char | KEY_HOOK = 'h'
static const luaL_Reg | dblib []

## Define Documentation

#define ldblib_c

#define LEVELS1 12

#define LEVELS2 10

#define LUA_LIB

## Function Documentation

static int auxupvalue | ( | lua_State * | L,
|  | int | get |
| ) |  |  | `[static]`

static int db_debug | ( | lua_State * | L | ) | `[static]`

static int db_errorfb | ( | lua_State * | L | ) | `[static]`

static int db_getfenv | ( | lua_State * | L | ) | `[static]`

static int db_gethook | ( | lua_State * | L | ) | `[static]`

static int db_getinfo | ( | lua_State * | L | ) | `[static]`

static int db_getlocal | ( | lua_State * | L | ) | `[static]`

static int db_getmetatable | ( | lua_State * | L | ) | `[static]`

static int db_getregistry | ( | lua_State * | L | ) | `[static]`

static int db_getupvalue | ( | lua_State * | L | ) | `[static]`

static int db_setfenv | ( | lua_State * | L | ) | `[static]`

static int db_sethook | ( | lua_State * | L | ) | `[static]`

static int db_setlocal | ( | lua_State * | L | ) | `[static]`

static int db_setmetatable | ( | lua_State * | L | ) | `[static]`

static int db_setupvalue | ( | lua_State * | L | ) | `[static]`

static void gethooktable | ( | lua_State * | L | ) | `[static]`

static lua_State* getthread | ( | lua_State * | L,
|  | int * | arg |
| ) |  |  | `[static]`

static void hookf | ( | lua_State * | L,
|  | lua_Debug * | ar |
| ) |  |  | `[static]`

LUALIB_API int luaopen_debug | ( | lua_State * | L | ) |

static int makemask | ( | const char * | smask,
|  | int | count |
| ) |  |  | `[static]`

static void settabsi | ( | lua_State * | L,
|  | const char * | i,
|  | int | v |
| ) |  |  | `[static]`

static void settabss | ( | lua_State * | L,
|  | const char * | i,
|  | const char * | v |
| ) |  |  | `[static]`

static void treatstackoption | ( | lua_State * | L,
|  | lua_State * | L1,
|  | const char * | fname |
| ) |  |  | `[static]`

static char* unmakemask | ( | int | mask,
|  | char * | smask |
| ) |  |  | `[static]`

## Variable Documentation

const luaL_Reg dblib[]`[static]`

Initial value:

     {
      {"debug", db_debug},
      {"getfenv", db_getfenv},
      {"gethook", db_gethook},
      {"getinfo", db_getinfo},
      {"getlocal", db_getlocal},
      {"getregistry", db_getregistry},
      {"getmetatable", db_getmetatable},
      {"getupvalue", db_getupvalue},
      {"setfenv", db_setfenv},
      {"sethook", db_sethook},
      {"setlocal", db_setlocal},
      {"setmetatable", db_setmetatable},
      {"setupvalue", db_setupvalue},
      {"traceback", db_errorfb},
      {NULL, NULL}
    }

const char KEY_HOOK = 'h'`[static]`